Get case information

Server: https://{kibana_url}
  • GET /api/cases/{caseId}
  • GET /s/{space_id}/api/cases/{caseId}

Refer to Spaces for more information.

You must have read privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the case you're seeking.

Path Parameters

caseId string required

The identifier for the case. To retrieve case IDs, use the find cases API. All non-ASCII characters must be URL encoded.

Query Parameters

includeComments boolean · default: true deprecated

Deprecated in 8.1.0. This parameter is deprecated and will be removed in a future release. It determines whether case comments are returned.

Responses